yp_match
yp_order
YP/NIS Funktionen
PHP Manual

# yp_next

(PHP 4, PHP 5 <= 5.0.5)

yp_next — Gibt das nächste Schlüssel-Wert-Paar in der angegebenen Map zurück.

### Beschreibung

array yp_next ( string `$domain` , string `$map` , string `$key` )

Gibt den das nächste Schlüssel-Wert-Paar `map` gemäß dem Spezifizierten `key` .

### Parameter-Liste

`domain`

`map`

`key`

### Rückgabewerte

Gibt das nächste Schlüssel-Wert-Paar als Array oder `FALSE` im Fehlerfall zurück.

### Beispiele

Beispiel #1 Beispiel für den nächsten NIS-Eintrag

`<?php
$entry = yp_next ($domain, "passwd.byname", "joe");
if (!$entry) {
echo "No more entries found\n";
echo "`
`";
}
$key = key ($entry);
echo "The next entry after joe has key " . $key
. " and value " . $entry[$key];
?>`

### Siehe auch

- yp_first()
- yp_get_default_domain()

yp_match
yp_order
YP/NIS Funktionen
PHP Manual